View Issue Details

IDProjectCategoryView StatusLast Update
0004124SOGoGUIpublic2017-04-20 14:32
Reportershtrumj Assigned Toludovic  
PriorityhighSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformZentyalOSUbuntuOS Version14.04 LTS
Fixed in Version3.2.9 
Summary0004124: Web interface showing windows-1255 as gibberish
Description

if connecet to ActiveSync with outlook or Iphone . message is OK.
only from werv interface getting chars like "àæ ìà òãéó áñáéáåú"

Steps To Reproduce

Every email recived from Microsoft Exchange.

TagsNo tags attached.

Activities

ludovic

ludovic

2017-04-02 06:27

administrator   ~0011659

Attach a sample message as an EML file. gzip it first.

shtrumj

shtrumj

2017-04-02 06:33

reporter   ~0011660

subject is OK.
only boddy have issue.

shtrumj

shtrumj

2017-04-02 07:05

reporter  

NassCheck.txt (149 bytes)   
From:	Yonathan Shtrum <yonatan@nass.co.il>
Sent:	??? ????? 02 ????? 2017 13:04
To:	jonathan@trot.co.il
Subject:	????? ????? ??

????? ????? ??
NassCheck.txt (149 bytes)   
shtrumj

shtrumj

2017-04-02 07:53

reporter  

NassCheck2.txt (3,582 bytes)   
From: Yonathan Shtrum <yonatan@nass.co.il>
To: "jonathan@trot.co.il" <jonathan@trot.co.il>
Subject: =?windows-1255?B?4ePp9+Qg7vns7uQg8PE=?=
Thread-Topic: =?windows-1255?B?4ePp9+Qg7vns7uQg8PE=?=
Thread-Index: AdKrmGGdgaXwVfBbTeeG79+CMfBfDg==
Date: Sun, 2 Apr 2017 10:03:30 +0000
Message-ID: <E8FD8E410A5C904AB0265267B34418C60A86118B@SBS2011.ness.local>
Accept-Language: he-IL, en-US
Content-Language: he-IL
X-MS-Has-Attach:
X-MS-TNEF-Correlator:
x-originating-ip: [127.0.0.1]
Content-Type: multipart/alternative;
        boundary="_000_E8FD8E410A5C904AB0265267B34418C60A86118BSBS2011nessloca_"
MIME-Version: 1.0
X-Brightmail-Tracker: H4sIAAAAAAAAA1VSa0hTYRjed84ux7mjZ9O5r6V/hoSsnEoaghFhBAZB+SeG0eWYp224m9vR
        phWI5TWlTAK3RTjshn9K0VwiFLOUlZVJl5Vk5oW8ZObSiorsHI+z9e/5nud5n/fh+z4MlZ0V
        KjHKQVM2M2lUCcX8l9iiJznpyZg21e9Nzzx/s1W0E+TcWBlH94M88fYCymgooWwpO46K9dV1
        I4h1Sej41leBloMWYR2IwCCRDifcvwCH4+DQ6K1VXkZ4Abz342TI09T6gfGIGb4KgR/npxDu
        0AngoLOfOWCYkFDDV/Vb2IFYIgXWNlYJWBxDpMIu/0+E4zNg8GEDymENnPdyJfhEIvS2zYtY
        jBN7YNdAcNUDiAQYdLavYpRQwKmGO2ulCXi19xnKYTmcmfgj4HAC/NwUEHF+Cxy+/RXlMqXQ
        75zks50hcUYEPQ8uIheA3BWW6wqbcYXNcHwqfNrdLuLwZnjdM4dyOAV2jzgF4XwLELWBKJMj
        TUPbLLTmmEVjMHYA5p2i5USEF9R4dvsAgQGVBM+Zfq+VCcgSe6nJBzZgiEqOf7ePamVR+ZaC
        Uj1p1x+xFRspuw9ADFXF4qcnGTteQJaWUTZLSNqI8VUK/JB6SCsjdCRNFVKUlbKFVAQT+UA8
        hqkgHng8ppVJbZSOchw3GOlwTwS7QcJsULIe3G4lTXaDjtMfgWQsMHD/EyLjmy1mSqnAdayJ
        YE36YvN6TugjDoMEZQwOeDyeTMIUMRno//W3IGotaY0YB7xZoGDuIwZHB5lkicFMr2+fZYoh
        TLHM5XdsMZr8JynLQREoG5z7HTxRKG32iBYuGztXyjPiNi1Xvs4V18703I18vvegu36faeFc
        X/CLp3LZVNMRn11kcLkT0Swr6D+82GBszIaosFl6yZm0TdE7fSW2Z1GTv3Q9IetAJGnIVXYT
        Q8UtqJvnfyOs3jpHj5qunVLXiFcqZvOiVS8Cu/wqvl1PpqlRm538CwoOeoeXAwAA
X-Brightmail-Tracker: H4sIAAAAAAAAA+NgFjrHIsWRWlGSWpSXmKPExsVylaPqpa7G2QcRBuveqVv0r1jM7sDosfz/
        I+YAxigum5TUnMyy1CJ9uwSujPau20wFX9gqvh1uYm5gXMDWxcjJISFgIjF58UPGLkYuDiGB
        NiaJ52+fMkE4Wxglzsw8BuRwcLAJaElc69EBaRAR0JfonNjGCmILCxhIbD35iwkibirx6Wgv
        M4StJ/F2B8QCFgEViR2r3rKD2LwCnhJbj38Cq2EUkJX4NHMjmM0sIC7xtHcb1EECEkv2nGeG
        sEUlXj7+xwphy0q8m3yDHaI+X+LShs/MEDMFJU7OfMIygVFwFpJRs5CUzUJSBhE3kDi3fSM7
        hK0tsWzha2YIW19i++2ZrMjiCxjZVzHy5VaY6JUU5ZfoJefrZeZsYgQGOz8vN9MOxhM/PA8x
        CnAwKvHwfnh6P0KINbGsuDL3EKMEB7OSCG/tE6AQb0piZVVqUX58UWlOavEhRmkOFiVx3g+a
        FyKEBNITS1KzU1MLUotgskwc7CCCE0RwnWJUlBLnTT/9AKi0uCAxN6M0rwSmFBb1lxhlpYR5
        GRkYGIR4gObkZpagyt8CWniASYgjLbG4pCCxuFiIJS8/L1UKKvuIkUGqgdH6a0jJmoc8hwUe
        fVkobvazcsYNmc7TCj5/WYT+/jRyyxLYfSKuoS2+WM3ApG7RAYF5815GFsq1xTqariyb8Frg
        vcCVNvNCy9Xf5s34t+kHwxGxqt4N704XXtjaPaXwUOR0ma0vP7l0qJiVP2gOXHfZ6VjjzxaG
        ZLGsuYa5bxb98FrjVeNT06TEUpyRaKjFXFScCAC0HB7u4QIAAA==

--_000_E8FD8E410A5C904AB0265267B34418C60A86118BSBS2011nessloca_
Content-Type: text/plain; charset="windows-1255"
Content-Transfer-Encoding: quoted-printable

=E1=E3=E9=F7=E4 =EE=F9=EC=EE=E4 =F0=F1

--_000_E8FD8E410A5C904AB0265267B34418C60A86118BSBS2011nessloca_
Content-Type: text/html; charset="windows-1255"
Content-Transfer-Encoding: quoted-printable

<html dir=3D"rtl">
<head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Dwindows-1=
255">
<meta name=3D"GENERATOR" content=3D"MSHTML 11.00.9600.18618">
<style id=3D"owaParaStyle">P {
        MARGIN-BOTTOM: 0px; MARGIN-TOP: 0px
}
</style>
</head>
<body fPStyle=3D"1" ocsi=3D"0">
<div style=3D"direction: rtl;font-family: Tahoma;color: #000000;font-size: =
10pt;">=E1=E3=E9=F7=E4 =EE=F9=EC=EE=E4 =F0=F1</div>
</body>
</html>
NassCheck2.txt (3,582 bytes)   

Related Changesets

sogo: master 0091ff74

2017-04-20 14:29:15

ludovic

Details Diff
(fix) handle properly windows-1255 charset (fixes 0004124) Affected Issues
0004124
mod - UI/MailPartViewers/UIxMailPartHTMLViewer.m Diff File

sogo: v2 9c1e481d

2017-04-20 14:29:15

ludovic

Details Diff
(fix) handle properly windows-1255 charset (fixes 0004124) Affected Issues
0004124
mod - UI/MailPartViewers/UIxMailPartHTMLViewer.m Diff File

Issue History

Date Modified Username Field Change
2017-04-02 05:52 shtrumj New Issue
2017-04-02 06:27 ludovic Note Added: 0011659
2017-04-02 06:27 ludovic Severity major => minor
2017-04-02 06:33 shtrumj Note Added: 0011660
2017-04-02 07:05 shtrumj File Added: NassCheck.txt
2017-04-02 07:53 shtrumj File Added: NassCheck2.txt
2017-04-20 14:29 ludovic Changeset attached => sogo master 0091ff74
2017-04-20 14:29 ludovic Assigned To => ludovic
2017-04-20 14:29 ludovic Resolution open => fixed
2017-04-20 14:30 ludovic Changeset attached => sogo v2 9c1e481d
2017-04-20 14:32 ludovic Status new => resolved
2017-04-20 14:32 ludovic Fixed in Version => 3.2.9